<?xml version="1.0" encoding="utf-8"?>
<!--
  ~ Copyright (c) 2015. Ncomz. All Rights Reserved
  -->

<LinearLayout
    xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@drawable/color_body_01"
    android:fitsSystemWindows="true"
    android:orientation="vertical">

  <include layout="@layout/app_toolbar"/>

  <android.support.v4.widget.SwipeRefreshLayout
      android:id="@+id/swiperefreshlayou"
      android:layout_width="match_parent"
      android:layout_height="wrap_content"
      android:layout_weight="1"
      android:visibility="visible">

    <com.ntels.kneet.v3.common.widget.CustomScrollView
        android:id="@+id/svBody"
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:layout_weight="1"
        android:fadingEdge="none">

      <LinearLayout
          android:id="@+id/llSvbody"
          android:layout_width="match_parent"
          android:layout_height="wrap_content"
          android:orientation="vertical">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical"
            android:visibility="visible">

          <LinearLayout
              android:id="@+id/llState_Online"
              android:layout_width="match_parent"
              android:layout_height="wrap_content"
              android:orientation="horizontal"
              android:paddingLeft="15dp"
              android:paddingRight="15dp"
              android:visibility="visible">


            <LinearLayout
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="25dp"
                android:layout_weight="1"
                android:orientation="vertical"
                android:paddingLeft="15dp">

              <TextView
                  android:layout_width="wrap_content"
                  android:layout_height="wrap_content"
                  android:layout_weight="1"
                  android:includeFontPadding="false"
                  android:text="@string/layout_homehub_12"
                  android:textColor="@color/color_text_01"
                  android:textSize="@dimen/size_font_02"
                  android:textStyle="bold"
              />


              <TextView
                  android:layout_width="wrap_content"
                  android:layout_height="wrap_content"
                  android:layout_marginTop="8dp"
                  android:layout_weight="1"
                  android:includeFontPadding="false"
                  android:text="@string/layout_homehub_13"
                  android:textColor="@color/color_text_01"
                  android:textSize="@dimen/size_font_04"
              />
            </LinearLayout>

            <ImageView
                android:layout_width="55dp"
                android:layout_height="55dp"
                android:layout_marginBottom="20dp"
                android:layout_marginTop="20dp"
                android:background="@drawable/img_homehub_icon_online"/>
          </LinearLayout>

          <LinearLayout
              android:id="@+id/llState_Offline"
              android:layout_width="match_parent"
              android:layout_height="wrap_content"
              android:orientation="horizontal"
              android:paddingLeft="15dp"
              android:paddingRight="15dp"
              android:visibility="gone">


            <LinearLayout
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="25dp"
                android:layout_weight="1"
                android:orientation="vertical"
                android:paddingLeft="15dp">

              <TextView
                  android:layout_width="wrap_content"
                  android:layout_height="wrap_content"
                  android:layout_weight="1"
                  android:includeFontPadding="false"
                  android:text="@string/layout_homehub_12"
                  android:textColor="@color/color_text_01"
                  android:textSize="@dimen/size_font_02"
                  android:textStyle="bold"
              />


              <TextView
                  android:layout_width="wrap_content"
                  android:layout_height="wrap_content"
                  android:layout_marginTop="8dp"
                  android:layout_weight="1"
                  android:includeFontPadding="false"
                  android:text="@string/layout_homehub_14"
                  android:textColor="@color/color_text_01"
                  android:textSize="@dimen/size_font_04"
              />
            </LinearLayout>

            <ImageView
                android:layout_width="55dp"
                android:layout_height="55dp"
                android:layout_marginBottom="20dp"
                android:layout_marginTop="20dp"
                android:background="@drawable/img_homehub_icon_offline"/>
          </LinearLayout>

          <View style="@style/width_Divider_01"/>

          <View style="@style/width_section"/>

          <LinearLayout
              android:id="@+id/llState_Dongle_Online"
              android:layout_width="match_parent"
              android:layout_height="wrap_content"
              android:orientation="horizontal"
              android:paddingLeft="15dp"
              android:paddingRight="15dp"
              android:visibility="visible">


            <LinearLayout
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="25dp"
                android:layout_weight="1"
                android:orientation="vertical"
                android:paddingLeft="15dp">

              <TextView
                  android:layout_width="wrap_content"
                  android:layout_height="wrap_content"
                  android:layout_weight="1"
                  android:includeFontPadding="false"
                  android:text="@string/layout_homehub_16"
                  android:textColor="@color/color_text_01"
                  android:textSize="@dimen/size_font_02"
                  android:textStyle="bold"
              />


              <TextView
                  android:layout_width="wrap_content"
                  android:layout_height="wrap_content"
                  android:layout_marginTop="8dp"
                  android:layout_weight="1"
                  android:includeFontPadding="false"
                  android:text="@string/layout_homehub_13"
                  android:textColor="@color/color_text_01"
                  android:textSize="@dimen/size_font_04"
              />
            </LinearLayout>

            <ImageView
                android:layout_width="55dp"
                android:layout_height="55dp"
                android:layout_marginBottom="20dp"
                android:layout_marginTop="20dp"
                android:background="@drawable/img_homehub_icon_dongle_on"/>
          </LinearLayout>

          <LinearLayout
              android:id="@+id/llState_Dongle_Offline"
              android:layout_width="match_parent"
              android:layout_height="wrap_content"
              android:orientation="horizontal"
              android:paddingLeft="15dp"
              android:paddingRight="15dp"
              android:visibility="gone">


            <LinearLayout
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="25dp"
                android:layout_weight="1"
                android:orientation="vertical"
                android:paddingLeft="15dp">

              <TextView
                  android:layout_width="wrap_content"
                  android:layout_height="wrap_content"
                  android:layout_weight="1"
                  android:includeFontPadding="false"
                  android:text="@string/layout_homehub_16"
                  android:textColor="@color/color_text_01"
                  android:textSize="@dimen/size_font_02"
                  android:textStyle="bold"
              />


              <LinearLayout
                  android:layout_width="wrap_content"
                  android:layout_height="wrap_content"
                  android:orientation="horizontal"
                  android:layout_weight="1"
                  android:layout_marginTop="8dp">
                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:includeFontPadding="false"
                    android:text="@string/layout_homehub_14"
                    android:textColor="@color/color_text_01"
                    android:textSize="@dimen/size_font_04"
                />
                <TextView
                    android:id="@+id/tvRecentDate"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:includeFontPadding="false"
                    android:text="@string/layout_homehub_15"
                    android:textColor="@color/color_text_01"
                    android:textSize="@dimen/size_font_04"
                />
              </LinearLayout>

            </LinearLayout>

            <ImageView
                android:layout_width="55dp"
                android:layout_height="55dp"
                android:layout_marginBottom="20dp"
                android:layout_marginTop="20dp"
                android:background="@drawable/img_homehub_icon_dongle_off"/>
          </LinearLayout>

          <View style="@style/width_Divider_01"/>

          <View style="@style/width_section"/>

          <LinearLayout
              android:layout_width="wrap_content"
              android:layout_height="wrap_content"
              android:layout_weight="1"
              android:orientation="vertical"
              android:paddingBottom="25dp"
              android:paddingLeft="30dp"
              android:paddingRight="15dp"
              android:paddingTop="25dp">

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:includeFontPadding="false"
                android:text="@string/layout_homehub_17"
                android:textColor="@color/color_text_01"
                android:textSize="@dimen/size_font_02"
                android:textStyle="bold"
            />


            <TextView
                android:id="@+id/tvDeviceSN"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="8dp"
                android:layout_weight="1"
                android:includeFontPadding="false"
                android:text="@string/layout_homehub_22"
                android:textColor="@color/color_text_01"
                android:textSize="@dimen/size_font_04"
            />
          </LinearLayout>


          <View style="@style/width_Divider_01"/>

          <View style="@style/width_section"/>

          <LinearLayout
              android:id="@+id/llModelName"
              android:layout_width="wrap_content"
              android:layout_height="wrap_content"
              android:layout_weight="1"
              android:orientation="vertical"
              android:paddingBottom="25dp"
              android:paddingLeft="30dp"
              android:paddingRight="15dp"
              android:paddingTop="25dp">

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:includeFontPadding="false"
                android:text="@string/layout_homehub_18"
                android:textColor="@color/color_text_01"
                android:textSize="@dimen/size_font_02"
                android:textStyle="bold"
            />


            <TextView
                android:id="@+id/tvModelName"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="8dp"
                android:layout_weight="1"
                android:includeFontPadding="false"
                android:text="@string/layout_homehub_22"
                android:textColor="@color/color_text_01"
                android:textSize="@dimen/size_font_04"
            />
          </LinearLayout>


          <View style="@style/width_Divider_01"/>

          <View style="@style/width_section"/>

          <LinearLayout
              android:id="@+id/llKeyChange"
              android:layout_width="match_parent"
              android:layout_height="wrap_content"
              android:orientation="vertical">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:orientation="vertical"
                android:paddingBottom="20dp"
                android:paddingLeft="30dp"
                android:paddingRight="15dp"
                android:visibility="visible">

              <LinearLayout
                  android:layout_width="match_parent"
                  android:layout_height="wrap_content"
                  android:gravity="top"
                  android:orientation="horizontal">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="25dp"
                    android:layout_weight="1"
                    android:includeFontPadding="false"
                    android:text="@string/layout_homehub_19"
                    android:textColor="@color/color_text_01"
                    android:textSize="@dimen/size_font_02"
                    android:textStyle="bold"
                />

                <Button
                    android:id="@+id/btnKeyChange"
                    android:layout_width="wrap_content"
                    android:layout_height="35dp"
                    android:layout_marginTop="20dp"
                    android:background="@drawable/d_img_btn_bg_red"
                    android:text="@string/layout_homehub_23"/>

              </LinearLayout>

              <TextView
                  android:layout_width="wrap_content"
                  android:layout_height="wrap_content"
                  android:layout_marginTop="20dp"
                  android:layout_weight="1"
                  android:includeFontPadding="false"
                  android:text="@string/layout_homehub_08"
                  android:textColor="@color/color_text_02"
                  android:textSize="@dimen/size_font_04"
              />

              <TextView
                  android:layout_width="wrap_content"
                  android:layout_height="wrap_content"
                  android:layout_marginTop="8dp"
                  android:layout_weight="1"
                  android:includeFontPadding="false"
                  android:text="@string/layout_homehub_09"
                  android:textColor="@color/color_text_01"
                  android:textSize="@dimen/size_font_04"
              />

              <TextView
                  android:layout_width="wrap_content"
                  android:layout_height="wrap_content"
                  android:layout_marginTop="8dp"
                  android:layout_weight="1"
                  android:includeFontPadding="false"
                  android:text="@string/layout_homehub_10"
                  android:textColor="@color/color_text_01"
                  android:textSize="@dimen/size_font_04"
              />
            </LinearLayout>

            <!--<View style="@style/width_Divider_01"/>

            <View style="@style/width_section"/>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:orientation="horizontal"
                android:paddingBottom="40dp"
                android:paddingLeft="15dp"
                android:paddingRight="15dp"

                android:paddingTop="40dp">

                <ImageView
                    android:layout_width="10dp"
                    android:layout_height="10dp"
                    android:layout_marginTop="3dp"
                    android:background="@drawable/common_bullet_circle_black"/>

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="5dp"
                    android:layout_weight="1"
                    android:includeFontPadding="false"
                    android:text="@string/layout_homehub_11"
                    android:textColor="@color/color_text_01"
                    android:textSize="@dimen/size_font_04"
                    />
            </LinearLayout>-->

          </LinearLayout>


          <View style="@style/width_Divider_01"
                android:id="@+id/vLastDivider"/>

          <View style="@style/width_section"
                android:id="@+id/vLast_Section"/>

          <LinearLayout
              android:id="@+id/llHomehubDelete"
              android:layout_width="match_parent"
              android:layout_height="wrap_content"
              android:layout_weight="1"
              android:orientation="vertical"
              android:paddingBottom="20dp"
              android:paddingLeft="30dp"
              android:paddingRight="15dp"
              android:visibility="visible">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:gravity="top"
                android:orientation="horizontal">

              <TextView
                  android:layout_width="wrap_content"
                  android:layout_height="wrap_content"
                  android:layout_marginTop="25dp"
                  android:layout_weight="1"
                  android:includeFontPadding="false"
                  android:text="@string/layout_homehub_20"
                  android:textColor="@color/color_text_01"
                  android:textSize="@dimen/size_font_02"
                  android:textStyle="bold"
              />

              <Button
                  android:id="@+id/btnHomehubDelete"
                  android:layout_width="wrap_content"
                  android:layout_height="35dp"
                  android:layout_marginTop="20dp"
                  android:background="@drawable/d_img_btn_bg_red"
                  android:text="@string/layout_homehub_24"/>

            </LinearLayout>

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="20dp"
                android:layout_weight="1"
                android:includeFontPadding="false"
                android:text="@string/layout_homehub_21"
                android:textColor="@color/color_text_02"
                android:textSize="@dimen/size_font_04"
            />
          </LinearLayout>
        </LinearLayout>
      </LinearLayout>
    </com.ntels.kneet.v3.common.widget.CustomScrollView>
  </android.support.v4.widget.SwipeRefreshLayout>

  <LinearLayout
      android:layout_width="match_parent"
      android:layout_height="wrap_content"
      android:orientation="vertical">

    <View
        style="@style/width_Divider_02"/>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="60dp"
        android:layout_gravity="center_horizontal"
        android:background="@drawable/color_bg_01"
        android:gravity="center">

      <LinearLayout
          android:id="@+id/llBtn1"
          android:layout_width="0dp"
          android:layout_height="match_parent"
          android:layout_weight="1"
          android:gravity="center">

        <TextView
            android:id="@+id/tvBtn1"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:background="@null"
            android:includeFontPadding="false"
            android:text="@string/layout_close"
            android:textColor="@drawable/d_font_color_font_01_color_font_02"
            android:textSize="@dimen/size_font_05"
            android:textStyle="bold"/>
      </LinearLayout>

    </LinearLayout>
  </LinearLayout>
</LinearLayout>